fuss-client - Segnalazione #261

apt-get autoremove
05/16/2017 11:53 AM - Michael Guggenberg

Status: Chiuso Start date: 05/16/2017
Priority: Normale Due date:

Assignee: Elena Grandi % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

lanciando apt-get upgrade ricevo:

Lettura elenco dei pacchetti... Fatto

Generazione albero delle dipendenze

Lettura informazioni sullo stato... Fatto

Calcolo dell'aggiornamento... | seguenti pacchetti sono stati installati automaticamente e non sono pi@ richiesti:
cracklib-runtime libck-connector0 libcrack2 libpam-ck-connector libpam-cracklib libpam-foreground octofuss-client python3-cffi
python3-characteristic python3-cryptography python3-dbus

python3-openssl python3-pkg-resources python3-ply python3-pyasni python3-pyasn1-modules python3-pycparser
python3-service-identity python3-twisted python3-zope.interface smbclient ssh

Usare "apt-get autoremove" per rimuoverli.

Un apt-get autoremove disinstallerebbe octofuss-client da un client.

Associated revisions

Revision 5233d864 - 11/13/2018 10:36 AM - Elena Grandi
Remove samba-client and slick-greeter from package dependencies refs: #665
They are not required on rpi, and we need to keep

fuss-client-dependencies installed to work around an ansible bug
(refs: #261)

History

#1 - 05/16/2017 11:54 AM - Michael Guggenberg
- Assignee set to TRUELITE

#2 - 05/16/2017 12:01 PM - Elena Grandi
- Assignee changed from TRUELITE to Elena Grandi

#3 - 05/16/2017 12:11 PM - Elena Grandi

- Assignee changed from Elena Grandi to Michael Guggenberg

L'upgrade é stato fatto prima o dopo il lancio di fuss-client -a?

In assenza di bug, I'esecuzione di fuss-client -a dovrebbe verificare la presenza di octofuss-client ed impostarlo come installato manualmente per
evitare questo problema. Cosi ad occhio (non ho verificato l'intera lista) la cosa dovrebbe applicarsi anche agli altri pacchetti, che mi paiono
dipendenze usate in giro.

Se l'upgrade é stato fatto dopo il lancio di fuss-client, c'é decisamente un problema da risolvere in fuss-client, altrimenti il problema potrebbe essere
altrove.
#4 - 05/16/2017 03:02 PM - Michael Guggenberg

Elena Grandi ha scritto:

L'upgrade € stato fatto prima o dopo il lancio di fuss-client -a?

Dopo
In assenza di bug, I'esecuzione di fuss-client -a dovrebbe verificare la presenza di octofuss-client ed impostarlo come installato manualmente
per evitare questo problema. Cosi ad occhio (non ho verificato I'intera lista) la cosa dovrebbe applicarsi anche agli altri pacchetti, che mi paiono
dipendenze usate in giro.

Se l'upgrade e stato fatto dopo il lancio di fuss-client, c¢'é decisamente un problema da risolvere in fuss-client, altrimenti il problema potrebbe
essere altrove.

#5 - 05/24/2017 01:16 PM - Elena Grandi

- Assignee changed from Michael Guggenberg to Elena Grandi

#6 - 05/25/2017 10:53 AM - Elena Grandi

- Status changed from Nuovo to In elaborazione

#7 - 05/25/2017 01:08 PM - Elena Grandi
- Status changed from In elaborazione to Commenti

- Assignee changed from Elena Grandi to Michael Guggenberg
Trovato il problema: veniva disinstallato il pacchetto fuss-client-dependencies, e quindi le sue dipendenze risultavano non piu richieste e
autorimovibili.

Appena messa sui repository la versione 8.0.8 di fuss-client che dovrebbe risolvere.

#8 - 05/25/2017 03:23 PM - Michael Guggenberg

- Status changed from Commenti to Risolto

#9 - 11/12/2018 04:00 PM - Elena Grandi
- Status changed from Risolto to In elaborazione

- Assignee changed from Michael Guggenberg to Elena Grandi

Questo dipendeva da un bug in ansible:

https://github.com/ansible/ansible/issues/28907

04/10/2024 2/3


https://github.com/ansible/ansible/issues/28907

https://github.com/ansible/ansible/issues/39132

Da indagare se sia a posto con la versione attuale (per poter togliere fuss-client-dependencies da quanto installato tramite ansible)

#10 - 11/13/2018 10:23 AM - Elena Grandi

- Status changed from In elaborazione to Commenti

La risposta € no: le versioni con questa fix ci sono in buster e stretch-backports, ma la versione in stable (stretch) ha ancora il bug, meglio aspettare
la prossima release.

Perd mi tengo il ticket per riguardarci post-aggiornamento.

#11 - 08/27/2019 11:10 AM - Elena Grandi

- Status changed from Commenti to Chiuso

Rimossa l'installazione di fuss-client-dependencies dalla versione di fuss-client per buster, qui chiudo.
